/***************************************************************************
                          clutree.cpp  -  description
                             -------------------
    begin                : Tue Apr 6 2004
    copyright            : (C) 2004 by 
    email                : vinh@cs.uni-duesseldorf.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#include "clutree.h"
#include "ali.h"

CluTree::CluTree () {
  isAct_ = 0;
}

CluTree::~CluTree () {
}


void CluTree::set (int seqNo) {
  seqArr_.set (1, 0);
   seqArr_  += seqNo;
  Ali::getName (seqNo, tree_);
  isAct_ = 1;
}

void CluTree::set (Vec<int> &seqArr, Vec<char> &tree) {
  isAct_ = 1;
  seqArr_ = seqArr;
  tree_ = tree;
}

int CluTree::isSubClu (Vec<int> &seqMarkArr, int nCluSeq) {
  int nCurSeq_ = seqArr_.getSize ();
  if (nCurSeq_ >= nCluSeq) 
    return 0;
  for (int count_ = 0; count_ < nCurSeq_; count_ ++)
    if (seqMarkArr[ seqArr_[count_] ] == 0)
      return 0;
  return 1;
}
