#ifndef MTREV24_H
#define MTREV24_H

#include "basem.h"
#include "dmat20.h"
#include "dvec20.h"

class MtREV24M {
public :

	/*
	 * mtREV24 model of amino acid evolution
	 * (complete sequence data of mtDNA from 24 vertebrate species)
	 * Adachi, J. and Hasegawa, M. (1996)
	 */
void getData (DMat20 &q, DVec20 &f);

}; //end of class
#endif

