#ifndef VT_H
#define VT_H

#include "basem.h"
#include "dmat20.h"
#include "dvec20.h"

class VTM {
public :

  /* 
   * Dayhoff model for amino acid evolution 
   * Mueller, T. and Vingron, M. 
   * "Modeling Amino Acid Replacement" 
   * Journal of Comp. Biology, 7(6):761-776,2000
   */

/* amino acid frequencies */
void getData (DMat20 &q, DVec20 &f);

}; //end of class
#endif

