#ifndef WAG_H
#define WAG_H

#include "basem.h"
#include "dmat20.h"
#include "dvec20.h"

class WAGM {
public :

		/*
		 * WAG model of amino acid evolution
		 * 
		 * S. Whelan and N. Goldman.  2000.  In prep.
		 * 
                 * presented at the MASAMB-X workshop in Cambridge
                 *
                 * Whelan, S., and N. Goldman.  2000.  
                 * The WAG amino acid rate matrix.
                 * Manuscript in prep.
		 */
  
void getData (DMat20 &q, DVec20 &f);

}; //end of class
#endif

