#ifndef BLOSUM62_H
#define BLOSUM62_H

#include "basem.h"
#include "dmat20.h"
#include "dvec20.h"

class Blosum62M {
public :

  
	/*
	 * BLOSUM62 model of amino acid evolution
	 * 
	 * S. Henikoff and J. G. Henikoff.  1992.  PNAS USA 89:10915-10919.
	 * 
	 */
void getData (DMat20 &q, DVec20 &f);

}; //end of class
#endif

