#ifndef CLUSTERARR_H
#define CLUSTERARR_H
#include "cluster.h"
#include "vec.h"
#include "clutree.h"

class ClusterArr {
public:
int nDifCluster_;
int totalNCluster_;
int totalNCluTree_;
int nSeq_;
Vec<Cluster> items_;


typedef Vec<int> IVec_;
Vec<IVec_> indexArr_;
Vec<int> majorClusterArr_;

Vec<CluTree> cluTreeArr_;

ClusterArr ();

void add (Vec<int> &exNdNoLs, double brLen);

void operator += (Cluster &cluster);
Cluster &operator [] (int cNo);

int findCluster (Cluster &cluster);

void setupIndex ();

//=====================================================
int findClusterConTree (Cluster &cluster);

//add cluster into cluster array
void addConTree (Cluster &cluster);
int findMajorCluster (int nDifTree);
void findCluTree (int clusterNo, Vec<int> &cluTreeNoArr);
void createNewClusterTree (int nDifTree, int clusterNo);
int createConTree (int nDifTree, Vec<char> &conTree);

~ClusterArr ();
};
#endif
