#ifndef JTTM_H
#define JTTM_H

#include "basem.h"
#include "dmat20.h"
#include "dvec20.h"

class JTTM {
public :

	/*
	 * JTT model for amino acid evolution
	 * D.T. Jones, W.R. Taylor, and J.M. Thornton
	 * "The rapid generation of mutation data matrices from protein sequences"
	 * CABIOS  vol. 8 no. 3 1992 pp. 275-282
	 */

void getData (DMat20 &q, DVec20 &f);


}; //end of class
#endif

